
Ti.UI.backgroundColor = 'white';

var setDir = "";
var localDir = "";
var writeContent = "";

var storePermission = "android.permission.WRITE_EXTERNAL_STORAGE";
 
var storagePermission = "android.permission.READ_EXTERNAL_STORAGE";
 
var hasStorePermission = Ti.Android.hasPermission(storePermission);
 
var hasStoragePermission = Ti.Android.hasPermission(storagePermission);
 
var permissionsToRequest = [];


setDir = Ti.Filesystem.externalStorageDirectory;

var appWin = Ti.UI.createWindow({
	backgroundColor : 'white',
	barColor : '#000',
	navBarHidden : true,
	exitOnClose : true,
	fullscreen : false
});


appWin.addEventListener('open',function(){
		
		if (!hasStorePermission) {
		 
		    permissionsToRequest.push(storePermission);
		    Ti.API.info("PUSHED  1.WRITE_EXTERNAL_STORAGE");
		
		}
		 
		if (!hasStoragePermission) {
		 
		    permissionsToRequest.push(storagePermission);
		    Ti.API.info("PUSHED... 2.READ_EXTERNAL_STORAGE");
		 
		}
		 
		if (permissionsToRequest.length > 0) {
		 
			    Ti.Android.requestPermissions(permissionsToRequest, function(e) {
			 		
			 		Ti.API.info('Requesting Permission', e);
			 		
				        if (e.success) {
				 
				            Ti.API.info("SUCCESS");
				 
				        } else {
				 
				            Ti.API.info("ERROR: " + e.error);
				 
				        }
			    });	 
	 	}	
});

var webview = Ti.UI.createWebView({

		top : 0,
		bottom : 0,
		left : 0,
		right : 0,
		height : Ti.UI.FILL,
		width : Ti.UI.FILL,
		enableZoomControls : false
});

appWin.add(webview);


localDir = Ti.Filesystem.getFile(setDir, 'AudioFiles');
					
					
if (!localDir.exists()) {
	localDir.createDirectory();
}
localPath = localDir.nativePath;

writeContent =  '<!DOCTYPE html>'
				+'<html>'
					+'<head>'
						+'<title>Loading...</title>'
					+'</head>'
					+'<body>'
							+'<audio controls="controls" id="audioPlayer1" preload="none" title="About audio">'
								+'<source id="source1" src="time_to_go.mp3" type="audio/mpeg"></source>'
							+'</audio>'
							+'<audio controls="controls" id="audioPlayer3" preload="none" title="About audio">'
								+'<source id="source3" src="'+localPath+'/time_to_go.ogg" type="audio/ogg"></source>'
							+'</audio>'
					+'</body>'
				+'</html>';




var temp = Ti.Filesystem.getFile(localPath, "index.html");
temp.write(writeContent);

webview.url = localPath + "/index.html";


appWin.open();

